﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PushApi.Act.Models.Trial
{
    public class DataMessage
    {
        /// <summary>
        /// 项目Id
        /// </summary>
        public string projectId { get; set; }
        /// <summary>
        /// 用户Id
        /// </summary>
        public string userId { get; set; }

        /// <summary>
        /// 推送数据包
        /// </summary>
        public Dictionary<string, string> dicValue { get; set; }
        /// <summary>
        /// 手机的系统类型
        /// </summary>
        public string clientType { get; set; }
        /// <summary>
        /// 手机的设备序列号
        /// </summary>
        public string clientID { get; set; }
        /// <summary>
        /// 登录账号
        /// </summary>
        public string loginName { get; set; }
        /// <summary>
        /// 用户正式姓名
        /// </summary>
        public string realName { get; set; }
        /// <summary>
        /// 用户手机号
        /// </summary>
        public string mobile { get; set; }
        /// <summary>
        /// 用户微信唯一标示
        /// </summary>
        public string openId { get; set; }
        /// <summary>
        /// 用户邮箱
        /// </summary>
        public string Email { get; set; }

        /// <summary>
        /// 是否过滤
        /// </summary>
        public int? IsFilter { get; set; }

    }
}
